
#include "ItemType.h"

#include <InMemoryBuffer.h>

#include "Registries.h"

ItemType::ItemType(int id, ModelInfo model)
    : ReferenceCounter(),
      id(id),
      model(model),
      icon(0)
{}

ItemType::~ItemType()
{
    if (this->icon) this->icon->release();
}

int ItemType::getId() const
{
    return id;
}

void ItemType::setBild(Framework::Bild* icon)
{
    if (this->icon) this->icon->release();
    this->icon = icon;
}

Framework::Bild* ItemType::zIcon() const
{
    return icon;
}

Framework::Model3DData* ItemType::getItemModel() const
{
    return model.getModel();
}

Framework::Model3DTextur* ItemType::getItemTextur() const
{
    return model.getTexture();
}